Cyberduck Mountain Duck CLI

#1243 closed defect (fixed)

Upload file browse does not show hidden files on local filesystem

Reported by: mberteig Owned by: dkocher
Priority: normal Milestone: 3.7
Component: interface Version: 2.7.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Open Cyberduck.
Open Preferences -> Browser.
Check "Show Hidden Files"
Connect to an ftp server
Right click in ftp server browser window
Select "Upload"
In browser window of local file system, no hidden files are shown. For example .htaccess which is visible in the ftp server remote browser is not visible in the local file system. This is true even with the Finder defaults setting changed to allow hidden files to be visible in the Finder.

Change History (14)

comment:1 Changed on Sep 8, 2007 at 9:34:01 PM by mberteig

Note: I have seen that "wontfix" has been applied to previous tickets of this nature. I have investigated having hidden files show in the Finder and that is a simple command-line defaults setting change. Presumably, there is a way for this to be done with the upload file browser window as well.

comment:2 Changed on Sep 8, 2007 at 9:35:06 PM by mberteig

Note: I am going to see if I can find out how to fix this from a code perspective... I will check back in a few hours on this.

comment:3 Changed on Sep 8, 2007 at 10:00:08 PM by mberteig

Check out: http://www.cocoadev.com/index.pl?ShowingHiddenFilesInAnNSOpenPanel

Also, note that TextMate has a "Show Hidden Files" option in it's OpenFile browser window.

comment:4 Changed on Sep 9, 2007 at 10:20:20 AM by dkocher

  • Milestone set to 2.8.1
  • Priority changed from high to normal
  • Severity changed from major to normal
  • Status changed from new to assigned

comment:5 Changed on Sep 15, 2007 at 4:06:11 PM by dkocher

What is your proposed solution? The page at cocodev says this is private API.

comment:6 Changed on Nov 3, 2007 at 11:43:35 PM by dkocher

  • Milestone 2.8.1 deleted

comment:7 Changed on Dec 29, 2007 at 10:09:57 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

comment:8 Changed on Mar 14, 2010 at 11:39:21 AM by yla

Closed #4289 as duplicate.

comment:9 Changed on Sep 8, 2010 at 2:29:18 AM by https://www.google.com/accounts/o8/id?id=aitoawnld1sxio9l6y4ilvszsjfghrirl3bl-cu

I've also seen this in other applications...

Always showing hidden files in Finder is a pretty ugly situation, but who wants to do a defaults write & restart finder every time they want to upload .htaccesss files?

-Z

comment:11 Changed on Sep 8, 2010 at 9:25:06 AM by dkocher

  • Milestone set to 4.0
  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:12 Changed on Sep 8, 2010 at 9:25:20 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:13 Changed on Sep 8, 2010 at 11:15:25 AM by dkocher

  • Milestone changed from 4.0 to 3.6.2

comment:14 Changed on Nov 12, 2010 at 1:16:53 AM by https://www.google.com/accounts/o8/id?id=aitoawnld1sxio9l6y4ilvszsjfghrirl3bl-cu

Thank you for responding with a solution!

I am responding with a donation :D

-Z

Note: See TracTickets for help on using tickets.
swiss made software